NotificationControllerQueryNumberOfNotifications Method |
POST /Notification/Count/
Gets the number of accounts that match the filter.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Count")]
public IActionResult QueryNumberOfNotifications(
[FromBodyAttribute] QueryNotificationOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Count")>
Public Function QueryNumberOfNotifications (
<FromBodyAttribute> options As QueryNotificationOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Count")]
IActionResult^ QueryNumberOfNotifications(
[FromBodyAttribute] QueryNotificationOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Count")>]
member QueryNumberOfNotifications :
[<FromBodyAttribute>] options : QueryNotificationOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsQueryNotificationOptions
An object that carries all needed information about the notifications that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultAn
Int32 containing the number of notifications that match the criteria, or a status code indicating the problem.
See Also